Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.security.keys.content.keyvalues
Class DSAKeyValue

    java.lang.Object
      org.apache.xml.security.utils.ElementProxy
          org.apache.xml.security.utils.SignatureElementProxy
              org.apache.xml.security.keys.content.keyvalues.DSAKeyValue

All Implemented Interfaces:
  KeyValueContent

    public class DSAKeyValue

extends SignatureElementProxy
implements KeyValueContent

Field Summary

Fields inherited from class org.apache.xml.security.utils.ElementProxy
`baseURI, constructionElement, doc, log`

Constructor Summary
`DSAKeyValue(org.w3c.dom.Document doc, java.math.BigInteger P, java.math.BigInteger Q, java.math.BigInteger G, java.math.BigInteger Y)` Constructor DSAKeyValue
`DSAKeyValue(org.w3c.dom.Document doc, java.security.Key key)` Constructor DSAKeyValue
`DSAKeyValue(org.w3c.dom.Element element, java.lang.String baseURI)` Constructor DSAKeyValue

Method Summary
`java.lang.String` | `getBaseLocalName()` Returns the localname of the Elements of the sub-class.
`java.security.PublicKey` | `getPublicKey()` Method getPublicKey

Methods inherited from class org.apache.xml.security.utils.SignatureElementProxy
`getBaseNamespace`

Methods inherited from class org.apache.xml.security.utils.ElementProxy
`addBase64Element, addBase64Text, addBigIntegerElement, addText, addTextElement, createElementForFamily, createElementForFamilyLocal, getBaseURI, getBigIntegerFromChildElement, getBytesFromChildElement, getBytesFromTextChild, getDefaultPrefix, getDocument, getElement, getElementPlusReturns, getTextFromChildElement, getTextFromTextChild, length, registerDefaultPrefixes, setDefaultPrefix, setElement, setXPathNamespaceContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DSAKeyValue

    public DSAKeyValue(org.w3c.dom.Element element,
                       java.lang.String baseURI)
                throws XMLSecurityException

  Constructor DSAKeyValue

  Parameters:
    `element` -
    `baseURI` -
  Throws:
    `XMLSecurityException`

### DSAKeyValue

    public DSAKeyValue(org.w3c.dom.Document doc,
                       java.math.BigInteger P,
                       java.math.BigInteger Q,
                       java.math.BigInteger G,
                       java.math.BigInteger Y)

  Constructor DSAKeyValue

  Parameters:
    `doc` -
    `P` -
    `Q` -
    `G` -
    `Y` -

### DSAKeyValue

    public DSAKeyValue(org.w3c.dom.Document doc,
                       java.security.Key key)
                throws java.lang.IllegalArgumentException

  Constructor DSAKeyValue

  Parameters:
    `doc` -
    `key` -
  Throws:
    `java.lang.IllegalArgumentException`

Method Detail

### getPublicKey

    public java.security.PublicKey getPublicKey()
                                         throws XMLSecurityException

  Description copied from interface: `KeyValueContent`
  Method getPublicKey

  Specified by:
    `getPublicKey` in interface `KeyValueContent`
  Returns:
    the public key
  Throws:
    `XMLSecurityException`

### getBaseLocalName

    public java.lang.String getBaseLocalName()

  Description copied from class: `ElementProxy`
  Returns the localname of the Elements of the sub-class.

  Specified by:
    `getBaseLocalName` in class `ElementProxy`
  Returns:
    the localname of the Elements of the sub-class.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD